18.06.2 QT5 build fails

Valeron70
 
Posts: 11
Joined: Sat Dec 23, 2017 3:36 pm

18.06.2 QT5 build fails

Wed Mar 06, 2019 7:26 pm

As in vonger's tutorial "VoCore2: Develop on Qt Creator" I select QT5 as 'M' and run make, but get this errors:
Code: Select all
5.9.7 -I../../include/QtNetwork/5.9.7/QtNetwork -I../../include/QtCore/5.9.7 -I../../include/QtCore/5.9.7/QtCore -I../../include/QtCore -I.moc -I../../mkspecs/linux-openwrt-g++ -o .obj/qssldiffiehellmanparameters_openssl.o ssl/qssldiffiehellmanparameters_openssl.cpp
ssl/qssldiffiehellmanparameters_openssl.cpp: In function 'bool isSafeDH(DH*)':
ssl/qssldiffiehellmanparameters_openssl.cpp:66:25: error: invalid use of incomplete type 'DH {aka struct dh_st}'
     if (q_BN_num_bits(dh->p) < 1024) {
                         ^~
In file included from /home/pve/openwrt/staging_dir/target-mipsel_24kc_musl/usr/include/openssl/crypto.h:131:0,
                 from /home/pve/openwrt/staging_dir/target-mipsel_24kc_musl/usr/include/openssl/bio.h:69,
                 from /home/pve/openwrt/staging_dir/target-mipsel_24kc_musl/usr/include/openssl/ssl.h:152,
                 from ../../include/QtNetwork/5.9.7/QtNetwork/private/../../../../../src/network/ssl/qsslcontext_openssl_p.h:60,
                 from ../../include/QtNetwork/5.9.7/QtNetwork/private/qsslcontext_openssl_p.h:1,
                 from ssl/qsslsocket_p.h:62,
                 from ssl/qssldiffiehellmanparameters_p.h:60,
                 from ssl/qssldiffiehellmanparameters_openssl.cpp:41:
/home/pve/openwrt/staging_dir/target-mipsel_24kc_musl/usr/include/openssl/ossl_typ.h:140:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;

and more, more …

Vonger
 
Posts: 709
Joined: Sun Oct 19, 2014 6:00 am

Re: 18.06.2 QT5 build fails

Fri Mar 08, 2019 4:17 am

I do not find any of such issue, from the log maybe missing openssl library? (should be libcrypt issue)
I use linux and mac both compiled no problem and works well. what system you are using?
Or you can exactly follow my instruction at github.com/vonger/vocore2, do not add or remove any package(use my .config), then compile. check if there still any issue. If everything works you can do some modify.
Also make sure you install everything necessary to compile it, check vocore.io/v2.html, compile part, some tools need to be installed by apt-get before you compile it.

Valeron70
 
Posts: 11
Joined: Sat Dec 23, 2017 3:36 pm

Re: 18.06.2 QT5 build fails

Fri Mar 08, 2019 9:02 am

I build system as "github.com/vonger/vocore2", but I do "update -a"
After select libopenssl in .config :
Code: Select all
.obj/qsslsocket_openssl.o: In function `QSslSocketBackendPrivate::continueHandshake()':
qsslsocket_openssl.cpp:(.text+0xe40): undefined reference to `QSslContext::npnContext() const'
qsslsocket_openssl.cpp:(.text+0xe48): undefined reference to `QSslContext::npnContext() const'
qsslsocket_openssl.cpp:(.text+0xe5c): undefined reference to `QSslContext::npnContext() const'
qsslsocket_openssl.cpp:(.text+0xe64): undefined reference to `QSslContext::npnContext() const'
collect2: error: ld returned 1 exit status
Makefile:581: recipe for target '../../lib/libQt5Network.so.5.9.7' failed
make[7]: *** [../../lib/libQt5Network.so.5.9.7] Error 1
make[7]: Leaving directory '/home/pve/openwrt/build_dir/target-mipsel_24kc_musl/qt-everywhere-opensource-src-5.9.7/qtbase/src/network'
Makefile:269: recipe for target 'sub-network-make_first' failed
make[6]: *** [sub-network-make_first] Error 2
make[6]: Leaving directory '/home/pve/openwrt/build_dir/target-mipsel_24kc_musl/qt-everywhere-opensource-src-5.9.7/qtbase/src'
Makefile:48: recipe for target 'sub-src-make_first' failed
make[5]: *** [sub-src-make_first] Error 2
make[5]: Leaving directory '/home/pve/openwrt/build_dir/target-mipsel_24kc_musl/qt-everywhere-opensource-src-5.9.7/qtbase'
Makefile:76: recipe for target 'module-qtbase-make_first' failed
make[4]: *** [module-qtbase-make_first] Error 2
make[4]: Leaving directory '/home/pve/openwrt/build_dir/target-mipsel_24kc_musl/qt-everywhere-opensource-src-5.9.7'
Makefile:241: recipe for target '/home/pve/openwrt/build_dir/target-mipsel_24kc_musl/qt-everywhere-opensource-src-5.9.7/.built' failed
make[3]: *** [/home/pve/openwrt/build_dir/target-mipsel_24kc_musl/qt-everywhere-opensource-src-5.9.7/.built] Error 2
make[3]: Leaving directory '/home/pve/openwrt/package/vocore2/qt5'
time: package/vocore2/qt5/compile#37.52#4.14#45.88
package/Makefile:107: recipe for target 'package/vocore2/qt5/compile' failed
make[2]: *** [package/vocore2/qt5/compile] Error 2
make[2]: Leaving directory '/home/pve/openwrt'
package/Makefile:103: recipe for target '/home/pve/openwrt/staging_dir/target-mipsel_24kc_musl/stamp/.package_compile' failed
make[1]: *** [/home/pve/openwrt/staging_dir/target-mipsel_24kc_musl/stamp/.package_compile] Error 2
make[1]: Leaving directory '/home/pve/openwrt'
/home/pve/openwrt/include/toplevel.mk:216: recipe for target 'world' failed
make: *** [world] Error 2

Vonger
 
Posts: 709
Joined: Sun Oct 19, 2014 6:00 am

Re: 18.06.2 QT5 build fails

Sat Mar 09, 2019 1:42 am

do from start and exactly follow my steps.

Valeron70
 
Posts: 11
Joined: Sat Dec 23, 2017 3:36 pm

Re: 18.06.2 QT5 build fails

Sat Mar 09, 2019 4:46 pm

Ok, may be "update -a" is wrong way.
In my own build, the command "cat /proc/net/wireless" shows empty RSSI statistics.
Code: Select all
root@OpenWrt:/# cat /proc/net/wireless
Inter-| sta-|   Quality        |   Discarded packets               | Missed | WE
 face | tus | link level noise |  nwid  crypt   frag  retry   misc | beacon | 22
root@OpenWrt:/#

In your build also empty?

Vonger
 
Posts: 709
Joined: Sun Oct 19, 2014 6:00 am

Re: 18.06.2 QT5 build fails

Mon Mar 11, 2019 1:43 pm

It is normal, because mtk official driver do not support standard mac802.11 interface.
maybe later i will write a patch to make it support it.

Valeron70
 
Posts: 11
Joined: Sat Dec 23, 2017 3:36 pm

Re: 18.06.2 QT5 build fails

Tue Mar 12, 2019 12:40 pm

After "step-by-step" build 18.06.02 as in "Beginner: OpenWrt 18.06.02 stable version", I got a working firmware with Qt5.
But the debugging process is unavailable, and get this error:
Code: Select all
The selected build of GDB does not support Python scripting.
It cannot be used in Qt Creator.

Is it error for Ubuntu gdb or toolchain gdb ?
I think for toolchain gdb. I'm right?

Return to VoCore2/Lite/Ultimate

Who is online

Users browsing this forum: No registered users and 1 guest